# 73. Запит: Отримати дані в сітці з вибраним буфером

Запит для отримання ґратованих даних із наборів даних, таких як "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" з обраним буфером.

{% hint style="danger" %}
Рекомендовано отримувати лише один набір даних з `sourceDataUrl` за запитом.&#x20;
{% endhint %}

`БезБуфера`, `ПлюсОдинПіксель`, `ПлюсДваПікселі`, `МінусОдинПіксель`, та `МінусДваПікселі` доступні як `буфер`.

{% hint style="danger" %}
`sourceDataUrl` посилання доступне лише протягом **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    назва
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      назва
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/73.-zapit-otrimati-dani-v-sitci-z-vibranim-buferom.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
